<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageEditWeb extends Page
{
	protected function getTitle() { return ''; }
	
	
	protected function getCSS() { return sRootRel . 'edit_web.css'; }
	
	
	protected function scripts()
	{
		return parent::scripts() .
			html::jscriptLink('global.js') .
			html::jscriptInline(html::jscriptSetVar('sParamPrefix', sParamPrefix)) .
			html::jscriptLink('edit_web.js');
	}
	
	
	protected function body()
	{
		$sURL = defaultValue($_REQUEST->getSafe('sURL'), sDefaultURL);
		
		// Get 'bNoWebOpen' DENIF parameter, then remove all DENIF parameters
		$target = target::fromURL($sURL);
		$bNoWebOpen = (bool)$target->getParam(sParamPrefix . 'bNoWebOpen', false);
		$target->removeParamsFromPrefix(sParamPrefix);
		$sURL = $target->url();
		
		$iWebMode = $_REQUEST->getSafe('iWebMode');
		
		$s = '';
		
		// Navigation bar
		$sNavBar =
			html::span(
				form::button('IDcmdBack', '', 'navHisto(-1);') .
				form::button('IDcmdForward', '', 'navHisto(1);'),
				attr::id('toolbar')) .
			form::select('IDiMode', getList('Ajouter docs.;Naviguer;diter liens'), $iWebMode) .
			form::text('IDsURL', $sURL, -1, -1, attr::className('urledit'));
		$s .= form::formJScript('navCurrent()',
			$sNavBar, attr::id('fnavbar'));
		
		// IFrame
		$s .= html::tag('iframe', '', attr::id('frm') + array(
			'src'         => $sURL = 'proxy.php' . (($bNoWebOpen) ? '' : '?sURL=' . urlencode($sURL)),
			'frameborder' => 0,
			'onload'      => 'frameHook(event);',
		));
		
		// Link clicking popup
		$sPopup =
			form::submit('', 'Ajouter') . ' ' . form::button('', 'Suivre le lien', 'nav(popup.link.href);') . ' ' .
			form::button('', 'Annuler', 'hidePopup();') .
			html::div(concat(array(
					form::label('sTitle', 'Titre&nbsp;:') . form::text('IDsTitle', '', 50, maxLengthTitle),
					form::label('sURL',   'URL&nbsp;:')   . form::text('IDsURL',   '', 50, maxLengthURL),
				), html::br()),
				attr::id('linkdata')) .
			form::checkboxLabel('bForceDownload', html::span('[F]orcer tlchargement (pages HTML ou PHP, rpertoires)',
				attr::className('smaller')));
		$sPopup = form::formJScript('addLink()',
			$sPopup, attr::id('fpopup'));
		$s .= html::div($sPopup, attr::id('popup'));
		
		return $s;
	}
}

Page::output(new PageEditWeb);

?>