<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';

class PageHome extends PageDenif
{
	protected function getTitle() { return sInstanceAcronym . '  ' . sInstanceDescriptionShort; }
	protected function getDescription() { return sInstanceDescriptionMedium; }
	
	
	protected function contents()
	{
		$s = '';
		
		$s .= $this->putTitle('Contenu du site');
		$s .= sInstanceDescriptionLong;
		
		$s .= html::par('Rechercher une ressource&nbsp;:') .
			$this->linksList(html::map('b', array(
				'index_themes.php'   => 'par thme',
				'index_cursus.php'   => 'par cursus',
				'index_teachers.php' => 'par enseignant',
			)));
		
		$s .= html::par(sDocumentsCopyrightNotice, attr::className('important'));
		
		$s .= $this->putTitle('Utilisation du site');
		$s .= $this->linksList(array(
			'edit_favorites.php'     => 'Crer un lien direct vers une page regroupant vos ressources favorites',
			'contact.php?bPropose=1' => 'Proposer de nouveaux documents',
			'formats.php'            => 'Lire, convertir et imprimer les diffrents formats de fichiers',
			'contact.php'            => 'Contacter un administrateur pour suggrer une amlioration',
			0                        => 'Tlcharger plusieurs documents dun seul coup&nbsp;: cliquer sur ' . DenifLink::createAction('#', 'zip', 'Archive Zip des documents en cache')->html() . '.',
		));
		
		$s .= $this->putTitle('Pourquoi ce site&nbsp;?');
		$s .= html::listU(array(
			'Rassembler des documents de qualit',
			'Augmenter la visibilit des cours',
			'Assurer la prennit des documents',
		));
		
		$s .= $this->putTitle(' propos du site');
		$sHistory = ' a t dvelopp en 2006 et 2007 par danciens lves de l' . html::link('http://www.ens-lyon.fr/', 'ENS Lyon') . ' et du ' . html::link('http://mpri.master.univ-paris7.fr/', 'MPRI') . '.';
		if (bPrimaryInstance)
			$s .= html::par('Ce site ' . $sHistory . ' Ces lves ainsi que le dpartement dinformatique de lENS Lyon souhaitaient sa cration.');
		else
			$s .= html::par('Le moteur de ce site, ' . sPrimaryInstanceLink . ', ' . $sHistory);
		global $aAuthorCredit;
		$s .= html::listU($aAuthorCredit);
		
		$s .= $this->putTitle('Licence et code source');
		$s .= html::par('DENIF est distribu sous licence ' . sLicenseLink . '. Le code source de DENIF est tlchargeable sur le ' . html::link(sPrimarySourceDownloadUrl, 'site de DENIF') . ' ainsi que le ' . html::link('http://www.gryder.org', 'site personnel dun des auteurs') . '.');
		if (!bPrimaryInstance && defined('sSecondarySourceDownloadLink')) {
			$s .= html::par('Le code source modifi pour ' . sInstanceAcronym . ' est tlchargeable sur ' . sSecondarySourceDownloadLink . '.');
		}
		return $s;
	}
	
	
	protected function linksList(array $aItem)
	{
		$aLink = array();
		foreach ($aItem as $sURL => $sText)
			$aLink[] = (is_string($sURL)) ? $this->linkTarget($sURL, $sText) : $sText;
		
		return html::listU($aLink);
	}
}

Page::output(new PageHome);

?>