<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


if (bCmdLine) {
	$maintenance = new Maintenance();
	for ($i = 1; $i < $argc; $i++)
		echo $maintenance->executeOperation($argv[$i]);
	
	exit(0);
}


class PageMaintenance extends PageDenif
{
	protected function getTitle() { return 'Maintenance'; }
	
	
	protected function initialize()
	{
		parent::initialize();
		$this->needAdmin();
	}
	
	
	public function actionBar($sTitle, array $aAction)
	{
		$aLink = array();
		foreach ($aAction as $sName => $sLabel)
			$aLink[] = $this->linkTarget($this->getSelfTarget(targetSession, array($sName => true)), $sLabel);
		return $this->linkBar($sTitle, $aLink);
	}
	
	protected function contents()
	{
		$s = $this->putTitle('Oprations de maintenance');
		
		$maintenance = new Maintenance($this);
		
		// Display order of maintenance operations
		$aBar = array(
			'Base de donnes' => array(
				'bExport'   => 'Exporter',
				'bClean'    => 'Nettoyer',
				'bOptimize' => 'Optimiser',
			),
			'Mtadonnes' => array(
				'bOrder'       => 'Rparer lordre des lments',
				'bFindInvalid' => 'Trouver invalides',
			),
			'Fichiers' => array(
				'bCachedFiles' => 'Vrifier les fichiers en cache',
				'bDirectories' => 'Vrifier les rpertoires',
			),
		);
		$s .= html::div(mapConcatKeyValue(array($this, 'actionBar'), $aBar), attr::className('top-links'));
		
		$sOperations = '';
		foreach ($maintenance->getOperations() as $sParam => $sFunction) {
			if ($_REQUEST->getSafe($sParam))
				$sOperations .= $maintenance->executeOperation($sParam);
			}
		
		if (!$sOperations)
			$sOperations = $maintenance->getStatistics();
		
		return $s . $sOperations;
	}
}

Page::output(new PageMaintenance);

?>