<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageNode extends PageDenif
{
	public $id;
	private $node;
	
	
	protected function getParameters() { return concatLists(parent::getParameters(), 'id'); }
	
	protected function getCurrentNodeID() { return ($this->node) ? $this->node->id : 0; }
	
	
	protected function initialize()
	{
		parent::initialize();
		$this->loadParameters();
		
		if (!$this->id) {
			$target = new target('index_themes.php');
			$this->targetAddSessionParams($target);
			self::redirect($target->url());
		}
		
		$this->node = getNode($this->id);
		if (!$this->node)
			$this->fatalError('Objet inexistant.' . html::br() . 'Il a peut-tre t supprim par un autre utilisateur du site.');
	}
	
	
	protected function getTitle()
	{
		return ($this->node) ? $this->node->getPageTitle() : 'Afficher une ressource';
	}
	
	
	protected function contents()
	{
		$view = new view($this);
		$view->loadNode($this->node);
		return $view->dump();
	}
}

Page::output(new PageNode);

?>